diff --git a/hubs/views/root.py b/hubs/views/root.py
index cc03161..6b9102f 100644
--- a/hubs/views/root.py
+++ b/hubs/views/root.py
@@ -22,12 +22,12 @@ def groups():
 
     # Get the list of promoted and non-promoted group hubs from the DB
     promoted_names = app.config.get('PROMOTED_GROUPS')
-    groups = hubs.models.Hub.all_group_hubs(flask.g.db)
+    groups = hubs.models.Hub.all_group_hubs()
     promoted = [g for g in groups if g.name in promoted_names]
     secondary = [g for g in groups if g.name not in promoted_names]
 
     name_of_the_month = app.config.get('HUB_OF_THE_MONTH')
-    hub_of_the_month = hubs.models.Hub.by_name(flask.g.db, name_of_the_month)
+    hub_of_the_month = hubs.models.Hub.by_name(name_of_the_month)
 
     return flask.render_template(
         'groups.html',
diff --git a/hubs/views/user.py b/hubs/views/user.py
index cab84ed..692daf3 100644
--- a/hubs/views/user.py
+++ b/hubs/views/user.py
@@ -14,7 +14,7 @@ from .utils import login_required, get_hub
 @login_required
 def stream(name):
     hub = get_hub(name)
-    saved = hubs.models.SavedNotification.by_username(flask.g.db, name)
+    saved = hubs.models.SavedNotification.by_username(name)
     saved = [n.__json__() for n in saved]
 
     stream = hubs.stream.Stream()
@@ -33,13 +33,13 @@ def stream(name):
 @login_required
 def notifications(user):
     if flask.request.method == 'GET':
-        notifications = hubs.models.SavedNotification.by_username(flask.g.db, user)
+        notifications = hubs.models.SavedNotification.by_username(user)
         notifications = [n.__json__() for n in notifications]
         return flask.jsonify(notifications)
 
     if flask.request.method == 'POST':
         data = flask.request.get_json()
-        user = hubs.models.User.by_username(flask.g.db, user)
+        user = hubs.models.User.by_username(user)
         if not user:
             return flask.abort(400)
         try:
diff --git a/hubs/views/widget.py b/hubs/views/widget.py
index d40ff3f..f413985 100644
--- a/hubs/views/widget.py
+++ b/hubs/views/widget.py
@@ -11,7 +11,7 @@ from .utils import get_widget
 @app.route('/<hub>/<int:idx>')
 def widget_render(hub, idx):
     widget = get_widget(hub, idx)
-    return widget.render(flask.g.db)  # , edit=False)
+    return widget.render()  # , edit=False)
     # was blocking all widgets from working, sorry!
 
 
@@ -19,7 +19,7 @@ def widget_render(hub, idx):
 @app.route('/<hub>/<int:idx>/json/')
 def widget_json(hub, idx):
     widget = get_widget(hub, idx)
-    response = flask.jsonify(widget.__json__(flask.g.db))
+    response = flask.jsonify(widget.__json__())
     # TODO -- modify headers with response.headers['X-fedora-hubs-wat'] = 'foo'
     return response
 
diff --git a/hubs/widgets/memberships.py b/hubs/widgets/memberships.py
index 2763db0..95beb74 100644
--- a/hubs/widgets/memberships.py
+++ b/hubs/widgets/memberships.py
@@ -17,8 +17,8 @@ def data(session, widget, **kwargs):
     hub = widget.hub
     members = []
     if hub.user_hub:
-        user = hubs.models.User.by_username(session, hub.name)
-        members = [m.__json__(session) for m in user.memberships
+        user = hubs.models.User.by_username(hub.name)
+        members = [m.__json__() for m in user.memberships
                    if m.name != user.username]
     else:
         members_name = []
@@ -26,7 +26,7 @@ def data(session, widget, **kwargs):
             if member.username in members_name:
                 continue
             members_name.append(member.username)
-            members.append(member.__json__(session))
+            members.append(member.__json__())
 
     oldest_members = sorted(members,
                             key=lambda m: m.get('created_on'))[:ELLIPSIS_LIMIT]
diff --git a/populate-from-fas.py b/populate-from-fas.py
index b74e8a6..959c5e4 100755
--- a/populate-from-fas.py
+++ b/populate-from-fas.py
@@ -60,7 +60,7 @@ for letter in reversed(sorted(list(set(string.letters.lower())))):
     session = hubs.models.init(
         fedmsg_config['hubs.sqlalchemy.uri'], True, True)
     for user in users:
-        hubs_user = hubs.models.User.by_username(session, user['username'])
+        hubs_user = hubs.models.User.by_username(user['username'])
 
         # Build a lookup by group id
         roles = dict([(r.group_id, r) for r in user['roles']])
@@ -91,11 +91,11 @@ for letter in reversed(sorted(list(set(string.letters.lower())))):
             )
 
             if hubs_user not in hub.subscribers:
-                hub.subscribe(session, hubs_user, role='subscriber')
+                hub.subscribe(hubs_user, role='subscriber')
             if hubs_user not in hub.members:
-                hub.subscribe(session, hubs_user, role='member')
+                hub.subscribe(hubs_user, role='member')
             if hubs_user not in hub.owners:
                 if role['role_type'] in [u'administrator', u'sponsor']:
-                    hub.subscribe(session, hubs_user, role='owner')
+                    hub.subscribe(hubs_user, role='owner')
 
     session.commit()
diff --git a/populate.py b/populate.py
index 4286940..d4b262d 100755
--- a/populate.py
+++ b/populate.py
@@ -62,9 +62,9 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_username(session, 'pravins'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'subscriber')
+hub.subscribe(hubs.models.User.by_username('pravins'), 'owner')
+hub.subscribe(hubs.models.User.by_username('decause'), 'member')
+hub.subscribe(hubs.models.User.by_username('ralph'), 'subscriber')
 
 
 session.commit()
@@ -107,11 +107,11 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'jflory7'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'bee2502'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'keekri'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'linuxmodder'), 'member')
+hub.subscribe(hubs.models.User.by_username('decause'), 'owner')
+hub.subscribe(hubs.models.User.by_username('jflory7'), 'member')
+hub.subscribe(hubs.models.User.by_username('bee2502'), 'member')
+hub.subscribe(hubs.models.User.by_username('keekri'), 'member')
+hub.subscribe(hubs.models.User.by_username('linuxmodder'), 'member')
 
 
 session.commit()
@@ -154,12 +154,12 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_username(session, 'croberts'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'ryanlerch'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'mrichard'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'mattdm'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'subscriber')
+hub.subscribe(hubs.models.User.by_username('croberts'), 'owner')
+hub.subscribe(hubs.models.User.by_username('ryanlerch'), 'owner')
+hub.subscribe(hubs.models.User.by_username('mrichard'), 'member')
+hub.subscribe(hubs.models.User.by_username('mattdm'), 'member')
+hub.subscribe(hubs.models.User.by_username('decause'), 'member')
+hub.subscribe(hubs.models.User.by_username('ralph'), 'subscriber')
 
 
 session.commit()
@@ -202,13 +202,13 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_username(session, 'duffy'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'ryanlerch'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'gnokii'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'mrichard'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'nask0'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'subscriber')
+hub.subscribe(hubs.models.User.by_username('duffy'), 'owner')
+hub.subscribe(hubs.models.User.by_username('ryanlerch'), 'owner')
+hub.subscribe(hubs.models.User.by_username('gnokii'), 'owner')
+hub.subscribe(hubs.models.User.by_username('mrichard'), 'owner')
+hub.subscribe(hubs.models.User.by_username('nask0'), 'member')
+hub.subscribe(hubs.models.User.by_username('decause'), 'member')
+hub.subscribe(hubs.models.User.by_username('ralph'), 'subscriber')
 
 session.commit()
 
@@ -251,10 +251,10 @@ hub.widgets.append(widget)
 
 vc = hubs.models.VisitCounter().get_or_create(session, 'ralph', 'mrichard')
 hubs.models.VisitCounter().increment_visits(session, 'ralph', 'mrichard')
-hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'abompard'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'lmacken'), 'owner')
-hub.subscribe(session, hubs.models.User.by_username(session, 'nask0'), 'member')
-hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'subscriber')
+hub.subscribe(hubs.models.User.by_username('ralph'), 'owner')
+hub.subscribe(hubs.models.User.by_username('abompard'), 'owner')
+hub.subscribe(hubs.models.User.by_username('lmacken'), 'owner')
+hub.subscribe(hubs.models.User.by_username('nask0'), 'member')
+hub.subscribe(hubs.models.User.by_username('decause'), 'subscriber')
 
 session.commit()

